#!usr/bin/env ruby
# -*- coding: utf-8 -*-

def kuizu(bangou)

  mondai = ["僕の名前は? 1:さとうむつき 2:ごとうむつき","僕の得意な教科は? 1:数学 2:英語","僕は何年生でしょうか? 1:小学5年生 2:中学3年生","僕がこわいと思っているものは? 1:くま 2:高いところ","僕のハマッてる漫画は? 1:ワンピース 2:Dr．STONE"]

  kotae = ["1:さとうむつき","1:数学","2:中学3年生","1:くま","2:Dr．STONE"]

  seikai= ["1","1","2","1","2"]

  printf("第%d問!\n",bangou)
  bangou-=1
  printf("%s\n",mondai[bangou]) 
  puts"どれでしょう、、"

  kaitou = gets.to_i
  
  puts"正解は〜"
  print","
  sleep(1)
  print","
  sleep(1)
  print","
  sleep(1)
  printf("%s\n",kotae[bangou])

  if seikai[bangou] == "1" && kaitou == 1

    puts"大正解!!"
    sleep(2)

  elsif seikai[bangou] == "2" && kaitou == 2

    puts"大正解"
    sleep(2)

  else

    puts"残念、、"
    sleep(2)

  end
end


puts"こんにちは"
sleep(2)

puts"君の名前はなに?"

while true

  puts"名前を入れてね↓"
  name = gets.chomp
  sleep(1)

  printf("%sっていうんだね!\n",name)
  sleep(1)

  puts"1:はい  2:いいえ"
  answer = gets.to_i
  if answer == 1
    sleep(1)
    print","
    sleep(1)
    print","
    sleep(1)
    print","
    sleep(1)
    puts"オーケー、それでは僕の自己紹介に移るよ、、"
    puts"-------------------------------------------------------------------"
    break

  elsif answer == 2
    puts"もう一度言ってね"
    redo

  else
    puts"1か2で答えてね"
    redo

  end
end

require'curses'
include Curses


rt = []

begin
  sleep(0)

  system("display -geometry +700+0 mutuki.xcf&")




  aisatu = ["顔の画像が見えるかな?","どうもどうも","hello〜"]

  printf("%s\n",aisatu[rand aisatu.length])
  sleep(1)
  puts"いま出た画像が僕です"
  sleep(1.5)
  printf("ここでは%sさんに僕に関するクイズをしてもらいます!\n",name)
  sleep(1)
  puts"全部で五問です"
  sleep(1)
  puts"全問正解目指して頑張ってください!!"

  kuizu(1)
  kuizu(2)
  kuizu(3)
  kuizu(4)
  kuizu(5)

  puts"どうだったかな?"
  sleep(1)
  puts"僕のことが少し、わかったかな?"
  sleep(3)
  puts"最後に僕のプロフィールをみせるよ"
  sleep(1)
  puts"気になったら見てみてね"
  sleep(2)
  puts"それでは、またどこかで会いましょう!!"

  system('pkill magick -U`whoami`')
end

require 'csv'                           

data = CSV.read("syoukai.csv", :headers => true)
data.each{|row|               
  printf("項目 => %s \n内容 => %s \n",
         row["項目"], row["内容"])
         print("--------------------------\n")}
